## kbookmarks 5.107.0

=== debian/changelog ===
kbookmarks (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:43 +0200

kbookmarks (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:01 +0100

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               libkf5codecs-dev (>= 5.107.0~),
               libkf5config-dev (>= 5.107.0~),
               libkf5configwidgets-dev (>= 5.107.0~),
               libkf5coreaddons-dev (>= 5.107.0~),
               libkf5widgetsaddons-dev (>= 5.107.0~),
               libkf5xmlgui-dev (>= 5.107.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbookmarks.git
Rules-Requires-Root: no

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.107.0~),
         libkf5xmlgui-dev (>= 5.107.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5bookmarks-doc (= ${source:Version}),
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: kdesignerplugin (<< 5.42),
        kross (<< 5.42),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),

## kbookmarks 5.109.0

=== debian/changelog ===
kbookmarks (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:23 +0100

kbookmarks (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:17:50 +0100

kbookmarks (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:03:51 +0100

kbookmarks (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:43:25 +0100

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libkf5codecs-dev (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5configwidgets-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libkf5xmlgui-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Rules-Requires-Root: no

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.109.0~),
         libkf5xmlgui-dev (>= 5.109.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5bookmarks-doc (= ${source:Version})
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: kdesignerplugin (<< 5.42),
        kross (<< 5.42),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),

## kbookmarks 5.110.0

=== debian/changelog ===
kbookmarks (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:04:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5codecs-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5configwidgets-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5xmlgui-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5codecs-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5configwidgets-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5xmlgui-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -39,8 +39,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5bookmarks5 (= ${binary:Version}),
-         libkf5configwidgets-dev (>= 5.109.0~),
-         libkf5xmlgui-dev (>= 5.109.0~),
+         libkf5configwidgets-dev (>= 5.110.0~),
+         libkf5xmlgui-dev (>= 5.110.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5bookmarks-doc (= ${source:Version})

## kbookmarks 5.113.0

=== debian/changelog ===
kbookmarks (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:41:28 +0000

kbookmarks (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:18 +0000

kbookmarks (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:55:57 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5codecs-dev (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5configwidgets-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
-               libkf5xmlgui-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5codecs-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5configwidgets-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
+               libkf5xmlgui-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -39,8 +39,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5bookmarks5 (= ${binary:Version}),
-         libkf5configwidgets-dev (>= 5.110.0~),
-         libkf5xmlgui-dev (>= 5.110.0~),
+         libkf5configwidgets-dev (>= 5.113.0~),
+         libkf5xmlgui-dev (>= 5.113.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5bookmarks-doc (= ${source:Version})

## kbookmarks 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KBookmarks VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMAddQch)
include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KBOOKMARKS
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfigVersion.cmake"
                  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Xml)
if (NOT ANDROID)
  find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED DBus)
endif()

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.69.0)
  find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
endif()

ecm_install_po_files_as_qm(poqm)
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95.0
)


add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Bookmarks")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Bookmarks_QCH
        FILE KF5BookmarksQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5BookmarksQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5BookmarksConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5BookmarksTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5BookmarksTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kbookmarks (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:28:28 +0000

kbookmarks (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:44:39 +0000

kbookmarks (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:45:00 -0700

kbookmarks (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:03:35 -0700

kbookmarks (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:42:01 -0700

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
-               libkf5codecs-dev (>= 5.113.0~),
-               libkf5config-dev (>= 5.113.0~),
-               libkf5configwidgets-dev (>= 5.113.0~),
-               libkf5coreaddons-dev (>= 5.113.0~),
-               libkf5widgetsaddons-dev (>= 5.113.0~),
-               libkf5xmlgui-dev (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
+               libkf5codecs-dev (>= 5.115.0~),
+               libkf5config-dev (>= 5.115.0~),
+               libkf5configwidgets-dev (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5widgetsaddons-dev (>= 5.115.0~),
+               libkf5xmlgui-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -39,8 +39,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5bookmarks5 (= ${binary:Version}),
-         libkf5configwidgets-dev (>= 5.113.0~),
-         libkf5xmlgui-dev (>= 5.113.0~),
+         libkf5configwidgets-dev (>= 5.115.0~),
+         libkf5xmlgui-dev (>= 5.115.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5bookmarks-doc (= ${source:Version})

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT=5

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable build time dh_auto_test
	:

## kbookmarks 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kbookmarks (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:42:46 +0200

kbookmarks (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:37 +0200

kbookmarks (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015436).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:05:41 +0100

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libkf5codecs-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5configwidgets-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5widgetsaddons-dev (>= 5.116.0~),
               libkf5xmlgui-dev (>= 5.116.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbookmarks.git
Rules-Requires-Root: no

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.116.0~),
         libkf5xmlgui-dev (>= 5.116.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5bookmarks-doc (= ${source:Version}),
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: kdesignerplugin (<< 5.42),
        kross (<< 5.42),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 export QT_SELECT=5

## kbookmarks 5.116.0+p24.04+vstable+git20251015.1115

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})

=== debian/changelog ===
kbookmarks (5.116.0+p24.04+vstable+git20251015.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:15:41 +0000

kbookmarks (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:36:35 +1000

kbookmarks (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:19:16 +0000

kbookmarks (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:13:49 +0000

kbookmarks (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:55:55 +0000

kbookmarks (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 07:19:01 +0000

kbookmarks (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 14:22:46 +0000

kbookmarks (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:18:33 +0000

kbookmarks (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Sep 2023 21:55:25 +0000

kbookmarks (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:00:19 +0000

kbookmarks (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:28:54 +0000

kbookmarks (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:46:02 +0000

kbookmarks (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:13:03 +0000

kbookmarks (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:17:12 +0000

kbookmarks (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:22:40 +0000

kbookmarks (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:44:21 +0000

kbookmarks (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:52:44 +0000

kbookmarks (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:12:11 +0000

kbookmarks (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:19:13 +0000

kbookmarks (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:00:28 +0000

kbookmarks (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:19:33 +0000

kbookmarks (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:04:11 +0000

kbookmarks (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:10:21 +0000

kbookmarks (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:21:09 +0000

kbookmarks (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:24:05 +0000

kbookmarks (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:55:30 +0000

kbookmarks (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 11:06:06 +0000

kbookmarks (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:07:43 +0000

kbookmarks (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:16:11 +0000

kbookmarks (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:23:19 +0000

kbookmarks (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:13:59 +0000

kbookmarks (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:04:47 +0000

kbookmarks (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:09:43 +0000

kbookmarks (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:56:10 +0000

kbookmarks (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:07:06 +0000

kbookmarks (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:02:26 +0000

kbookmarks (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:29:38 +0000

kbookmarks (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:36:59 +0000

kbookmarks (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:21:21 +0000

kbookmarks (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:10:09 +0000

kbookmarks (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:12:20 +0000

kbookmarks (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:46:35 +0000

kbookmarks (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:38:41 +0000

kbookmarks (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:17:01 +0000

kbookmarks (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:16:50 +0000

kbookmarks (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:03:02 +0000



## kbookmarks 5.116.0+p24.04+vstable+git20251020.0239

=== debian/changelog ===
kbookmarks (5.116.0+p24.04+vstable+git20251020.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:39:15 +0000

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5codecs-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.7.0),
               libkf5xmlgui-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
Vcs-Git: https://invent.kde.org/neon/kde/kbookmarks.git
Vcs-Browser: https://invent.kde.org/neon/kde/kbookmarks
Maintainer: Neon CI <neon@kde.org>

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.51.0~),
         libkf5iconthemes-dev (>= 5.51.0~),
         libkf5xmlgui-dev (>= 5.51.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.51)
Replaces: libkf5bookmarks-doc (<< 5.61.90-0)
Recommends: libkf5bookmarks-doc (= ${source:Version})
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: keditbookmarks
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: kdesignerplugin (<< 5.42),
        kross (<< 5.42),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.51)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

export QT_SELECT=5

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5bookmarks5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable build time dh_auto_test
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kbookmarks-([\d.]+)\.tar\.xz

## kbookmarks 5.116.0+p24.04+vstable+git20251112.0120

=== debian/changelog ===
kbookmarks (5.116.0+p24.04+vstable+git20251112.0120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 12 Nov 2025 01:20:52 +0000

## kbookmarks 5.116.0+p24.04+vstable+git20251226.0216

=== debian/changelog ===
kbookmarks (5.116.0+p24.04+vstable+git20251226.0216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:16:19 +0000

## kbookmarks 5.116.0+p24.04+vunstable+git20250901.0129

=== debian/changelog ===
kbookmarks (5.116.0+p24.04+vunstable+git20250901.0129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 01:29:39 +0000

## kbookmarks 5.116.0+p24.04+vunstable+git20251020.0556

=== debian/changelog ===
kbookmarks (5.116.0+p24.04+vunstable+git20251020.0556-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:56:55 +0000

## kbookmarks 5.116.0+p24.04+vunstable+git20251113.0223

=== debian/changelog ===
kbookmarks (5.116.0+p24.04+vunstable+git20251113.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 02:23:57 +0000

## kbookmarks 5.116.0+p24.04+vunstable+git20251224.0848

=== debian/changelog ===
kbookmarks (5.116.0+p24.04+vunstable+git20251224.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 08:48:54 +0000
